<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright (C) 2018 Fondazione Bruno Kessler.
  All rights reserved. This program and the accompanying materials
  are made available under the terms of the Eclipse Public License v1.0
  which accompanies this distribution, and is available at
  http://www.eclipse.org/legal/epl-v10.html
   
  Contributors:
    Alberto Debiasi - initial API and implementation
-->
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/edu.cmu.emfta/src" modelPluginID="edu.cmu.emfta"
    modelName="Emfta" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    importerID="org.eclipse.emf.importer.ecore" complianceLevel="7.0" copyrightFields="false"
    operationReflection="true" importOrganizing="true">
  <foreignModel>model/emfta.ecore</foreignModel>
  <genPackages prefix="Emfta" basePackage="edu.cmu" disposableProviderFactory="true"
      ecorePackage="emfta.ecore#/">
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="emfta.ecore#//EventType">
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//EventType/Basic"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//EventType/External"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//EventType/Undevelopped"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//EventType/Conditioning"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//EventType/Intermediate"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="emfta.ecore#//GateType">
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/OR"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/AND"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/XOR"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/PRIORITY_AND"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/INHIBIT"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/PRIORITY_OR"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/INTERMEDIATE"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/ORMORE"/>
      <genEnumLiterals ecoreEnumLiteral="emfta.ecore#//GateType/ORLESS"/>
    </genEnums>
    <genClasses ecoreClass="emfta.ecore#//Event">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/type"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/probability"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/description"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference emfta.ecore#//Event/gate"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/relatedObject"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Event/referenceCount"/>
    </genClasses>
    <genClasses ecoreClass="emfta.ecore#//Gate">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Gate/type"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Gate/description"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EReference emfta.ecore#//Gate/events"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//Gate/nbOccurrences"/>
    </genClasses>
    <genClasses ecoreClass="emfta.ecore#//FTAModel">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference emfta.ecore#//FTAModel/root"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//FTAModel/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//FTAModel/description"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute emfta.ecore#//FTAModel/comments"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference emfta.ecore#//FTAModel/events"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
